# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: bibletime-i18n
Version: 1.6.5
Release: alt1

Summary: Internationalization for BibleTime %version
Summary(ru_RU.UTF-8): Файлы локализации для BibleTime %version 

License: GPL
Url: http://www.bibletime.info/
Group: System/Internationalization

Packager: Artem Zolochevskiy <azol@altlinux.ru>

Source: http://downloads.sourceforge.net/bibletime/%name-%version.tar.bz2

BuildArch: noarch

# manually removed: linux-libc-headers qt3-designer
# Automatically added by buildreq on Wed Mar 21 2007
BuildRequires: gcc-c++ imake kdelibs-devel libjpeg-devel libXext-devel libXt-devel xml-utils xorg-cf-files

%description
These are the localisation files for BibleTime %version. They contain the
translations of the program messages and the documentation, including the
Bible Study HowTo

%description -l ru_RU.UTF-8
Здесь расположены файлы локализации для программы BibleTime %version. В
них содержатся переводы сообщений программы и документации, включая Bible
Study HowTo

%prep
%setup

%build
# prevent very recent configure from running "config.sub noarch-alt-linux".
%undefine _configure_target
%configure
%make_build --silent --no-print-directory

%install
%make_install DESTDIR=%buildroot install --silent --no-print-directory

%find_lang bibletime --with-kde

%files -f bibletime.lang
%doc Changelog README

%changelog
* Mon Dec 10 2007 Artem Zolochevskiy <azol@altlinux.ru> 1.6.5-alt1
- new version 1.6.5

* Wed Apr 18 2007 Artem Zolochevskiy <azol@altlinux.ru> 1.6.4-alt1
- new version 1.6.4

* Wed Mar 21 2007 Artem Zolochevskiy <azol@altlinux.ru> 1.6.3b-alt1
- new version 1.6.3b
- fixed url in Source tag
- changed description
- added Changelog and README to package
- updated BuildRequires
- running make with --no-print-directory and --silent options
- enable _unpackaged_files_terminate_build
- spec cleanup

* Sun Dec 10 2006 Vitaly Lipatov <lav@altlinux.ru> 1.6.2-alt0.1
- new version 1.6.2
- set noarch BuildArch

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 1.6.0-alt0.1
- new version 1.6.0 (with rpmrb script)

* Mon Feb 06 2006 Vitaly Lipatov <lav@altlinux.ru> 1.5.3-alt1
- new version

* Sun Sep 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt1
- new version

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 1.4.1-alt2
- use --with-kde for doc files (bug #4952)

* Fri Jul 30 2004 Vitaly Lipatov <lav@altlinux.ru> 1.4.1-alt1
- first build for Sisyphus

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.1-2mdk
- fix dependancies

* Fri Feb 24 2004 Brook Humphrey <bah@linux-mandrake.com> 1.4.1-1mdk
- updated for bibletime 1.4.1

* Sun Feb 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-2mdk
- fix groups and summaries
- sanitize license tag
- kill wrongly filled vendor/distribution tags (automatically filled)

* Fri Nov 14 2003 Brook Humphrey <bah@linux-mandrake.com> 1.4-1mdk
- updated for bibletime 1.4

* Fri Nov 14 2003 Brook Humphrey <bah@linux-mandrake.com> 1.3-1mdk
- cleaned up spec some
- seperated out packages into individual languages.

* Sun Jun 22 2003 Joachim Ansorg <junkmail@joachim.ansorgs.de>

-Cleanup. We require no an Sword RPM file to be installed.

-Removed Mandrake menu stuff because there's an own SPEC file for this.

* Fri Feb 14 2003 Joachim Ansorg <junkmail@joachim.ansorgs.de>

-Removed locales.d source and management of Sword files because we require a Sword RPM now.

* Mon Apr 8 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.1

- Added to the spec to better handle mandrake menus during compile. Now should be compatable with all os's.

- added locals.d source to build. This removes dependecy on sword being installed. Will make seperate package for this later.

* Fri Mar 31 2002 Joachim Ansorg <jansorg@gmx.de>

- Made including the book translations working finally.

- Fixed SPEC files to work with SuSE

* Thu Feb 7 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.0.2

- changed compile time options to mach bibletime spec included with source files

- compiled on mandrake 8.2

* Fri Sep 7 2001 Joachim Ansorg <jansorg@gmx.de>

- Added the bookname files in the file list

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.4mdk

- Recompile because of dependecy problems.

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.1mdk

- bug fix release bibletime-1.0.1

- adda extra compile options to spec file.

- Merged in suse changes for compileing on SuSE

* Sun May 27 2001 Brook Humphrey <bah@webmedic.net>

- Trying different variations of static compiles again.

- Still using cvs sources while waiting for 1.0 release.

* Thu May 24 2001 Brook Humphrey <bah@webmedic.net>

- Trying for x static and whatever else we can get into it.

- No X for today Got libz to compile in but it causes segfault.

* Wed May 23 2001 Brook Humphrey <bah@webmedic.net>

- Yet another try at static qt.

- Qt static works now.

* Mon May 21 2001 Brook Humphrey <bah@webmedic.net>

- Static is working for kde and a few other libs but not qt yet.

- Testing another patch today to try to get qt compiled static.

* Sun May 20 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more(stupid spelling error's)

- static compile not working today so added option to compile kde and sword as static seperately

* Sat May 19 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more and added a few more comments

- Changed spec to automaticly do parts concerning static and Mandrake menus

- All info can be set in defines at top of spec file no other changes should need to be made

- Fixed patch to compile static should now compile static with kde libs

- Test to compile with qt as static also

* Sun May 13 2001 Brook Humphrey <bah@webmedic.net>

- cleaned up spec file and added more comments for easier reading.

- changed sword.conf instelation to check for previous versions of sword.conf

- If found a new sword.conf is not created

- Made a patch to hopefully compile kde and other libs as atatic

- static compile didn't work for today.

* Tue May 8 2001 Brook Humphrey <bah@webmedic.net>

- Updated package to be relocatable

- added sword directories and sword.conf to install

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>

- Changed to build staticly

- added more mandrake macros to spec file

* Mon Apr 23 2001 Brook Humphrey <bah@webmedic.net>

- made changes to enable compile of cvs tree

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>

- updated to use mandrake menu sysem

